Subject: bug#10137: coreutils test bug

From: Jim Meyering <[email-masked]>
Date: Fri, 25 Nov 2011 19:19:35 +0100

Jim Meyering wrote:

> gio manz wrote:
>> Hi, I try to build LFS 7.0, and in 6.23. Coreutils-8.14 chapter, i type
>> this:
>
>> FAIL: test-parse-datetime (exit: 134)
>> =====================================
>> test-parse-datetime.c:142: assertion failed
>
> Thank you for taking the time to report that.
> I believe that was fixed by the gnulib commit below,
> so I'm marking this as "done".
>
> commit 56ddf0fdeb52ce76718e0594db4f567401e90a2c
> Author: Jim Meyering <[email-masked]>
> Date:   Sun Oct 30 18:12:54 2011 +0100
>
>     test-parse-datetime.c: avoid new DST-related false positive test failure
>
>     * tests/test-parse-datetime.c (gmt_offset): Determine the "gmt_offset"
>     based on the time/date we'll convert, not the current time.
>     Otherwise, the moment we cross a DST boundary like today's in
>     Europe, (CEST to CET), that offset ends up being one hour off.

BTW, in case you want to try the patch, it's here:

  http://git.sv.gnu.org/cgit/gnulib.git/commit/?id=56ddf0fdeb52ce76718e